Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.provider
Class AActWrapperItemProvider

    java.lang.Object
      org.eclipse.emf.edit.provider.WrapperItemProvider
          org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
              org.metaabm.act.provider.AActWrapperItemProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemFontProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemFontProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IWrapperItemProvider

    public class AActWrapperItemProvider

extends org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
`org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider.AffectedObjectsWrappingCommandActionDelegate, org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.WrapperItemProvider
`org.eclipse.emf.edit.provider.WrapperItemProvider.ReplacementAffectedObjectCommand, org.eclipse.emf.edit.provider.WrapperItemProvider.SimpleCopyCommand, org.eclipse.emf.edit.provider.WrapperItemProvider.WrapperItemPropertyDescriptor, org.eclipse.emf.edit.provider.WrapperItemProvider.WrappingCopyCommand`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
`changeNotifier, childrenMap, delegateChildren, delegateItemProvider, propertyDescriptors`

Fields inherited from class org.eclipse.emf.edit.provider.WrapperItemProvider
`adapterFactory, COPY_COMMAND_DESCRIPTION, COPY_COMMAND_LABEL, feature, index, owner, value`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider
`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`AActWrapperItemProvider(java.lang.Object value, java.lang.Object owner, org.eclipse.emf.ecore.EStructuralFeature feature, int index, org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`protected org.eclipse.emf.common.command.Command` | `createDragAndDropCommand(org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Object owner, float location, int operations, int operation, java.util.Collection<?> collection)`
`protected org.eclipse.emf.edit.provider.IWrapperItemProvider` | `createWrapper(java.lang.Object value, java.lang.Object owner, org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`
`protected java.lang.Object` | `unwrap(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider
`addListener, createCommand, dispose, fireNotifyChanged, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getDelegateValue, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptors, getRefreshElement, getText, hasChildren, notifyChanged, removeListener, updateChildren, wrapCommand, wrapNotification`

Methods inherited from class org.eclipse.emf.edit.provider.WrapperItemProvider
`baseCreateCommand, createCopyCommand, createSetCommand, getFeature, getIndex, getOwner, getParent, getPropertyCategory, getPropertyDescription, getPropertyDescriptor, getPropertyFilterFlags, getPropertyImage, getPropertyImage, getPropertyName, getRootAdapterFactory, getUpdateableText, getValue, isPropertyMultiLine, isPropertySettable, isPropertySortChoices, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`getParent`

Constructor Detail

### AActWrapperItemProvider

    public AActWrapperItemProvider(java.lang.Object value,
                                   java.lang.Object owner,
                                   org.eclipse.emf.ecore.EStructuralFeature feature,
                                   int index,
                                   org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### unwrap

    protected java.lang.Object unwrap(java.lang.Object object)

### createWrapper

    protected org.eclipse.emf.edit.provider.IWrapperItemProvider createWrapper(java.lang.Object value,
                                                                               java.lang.Object owner,
                                                                               org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Overrides:
    `createWrapper` in class `org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider`

### createDragAndDropCommand

    protected org.eclipse.emf.common.command.Command createDragAndDropCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                              java.lang.Object owner,
                                                                              float location,
                                                                              int operations,
                                                                              int operation,
                                                                              java.util.Collection<?> collection)

  Overrides:
    `createDragAndDropCommand` in class `org.eclipse.emf.edit.provider.WrapperItemProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD